summaryrefslogtreecommitdiff
path: root/easy-rsa/1.0/make-crl
diff options
context:
space:
mode:
Diffstat (limited to 'easy-rsa/1.0/make-crl')
-rw-r--r--easy-rsa/1.0/make-crl18
1 files changed, 18 insertions, 0 deletions
diff --git a/easy-rsa/1.0/make-crl b/easy-rsa/1.0/make-crl
new file mode 100644
index 0000000..62fe6c1
--- /dev/null
+++ b/easy-rsa/1.0/make-crl
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+#
+# generate a CRL
+#
+#
+
+if test $# -ne 1; then
+ echo "usage: make-crl <crlfile.pem>";
+ exit 1
+fi
+
+if test $KEY_DIR; then
+ cd $KEY_DIR && \
+ openssl ca -gencrl -out $1 -config $KEY_CONFIG
+else
+ echo you must define KEY_DIR
+fi